using UnityEngine;
using System.Collections;

public class FXParticle : MonoBehaviour {

	public float lifeSpan = 1.0f;
	public float speed = 5f;

	void Update () {
		lifeSpan -= Time.deltaTime;
		if(lifeSpan <= 0) {
			Destroy(gameObject);
			return;
		}

		this.transform.Translate( new Vector3(1, 0, 0) * speed * Time.deltaTime );
	}
}
